Bug 785231 - Services with several (9) parameters do not scroll easily and did not finalize
Summary: Services with several (9) parameters do not scroll easily and did not finalize
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
Assignee: Maros Zatko
QA Contact: dgao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-27 17:40 UTC by Steve Reichard
Modified: 2012-08-30 17:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-30 17:14:49 UTC


Attachments (Terms of Use)
movie of issues (8.43 MB, video/ogg)
2012-01-27 17:40 UTC, Steve Reichard
no flags Details
more_than_5_params (338.55 KB, image/png)
2012-02-27 21:23 UTC, dgao
no flags Details

Description Steve Reichard 2012-01-27 17:40:46 UTC
Created attachment 557913 [details]
movie of issues

Description of problem:

The attached movie show a reproduction of the problem.

At first I though I would not be able to get to all that parameters, but was able to tab to them.

However, when I press Finalize, nothing happens.


Version-Release number of selected component (if applicable):

[root@cf-cloudforms9 ~]# /pub/scripts/post_install_configuration_scripts/cf-versions 
Red Hat Enterprise Linux Server release 6.1 (Santiago)
Linux cf-cloudforms9.cloud.lab.eng.bos.redhat.com 2.6.32-131.0.15.el6.x86_64 #1 SMP Tue May 10 15:42:40 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
postgresql-8.4.9-1.el6_1.1.x86_64
mongodb-1.8.0-6.el6.x86_64
euca2ools-1.3.1-4.el6_0.noarch
ruby-1.8.7.352-3.el6.x86_64
rubygems-1.8.10-1.el6.noarch
deltacloud-core-0.5.0-0.rc1.el6.noarch
rubygem-deltacloud-client-0.4.0-3.el6.noarch
package libdeltacloud is not installed
hail-0.8-0.2.gf9c5b967.el6_0.x86_64
puppet-2.6.6-1.el6_0.noarch
aeolus-configure-2.5.0-4.el6.noarch
iwhd-1.2-3.el6.x86_64
imagefactory-1.0.0rc2.1-1.el6.noarch
aeolus-conductor-daemons-0.8.0-5.el6.noarch
aeolus-conductor-0.8.0-5.el6.noarch
[root@cf-cloudforms9 ~]# 


How reproducible:

both times attempt with vsphere, and the 1 time I attempted with RHEV I got the same issue

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 wes hayutin 2012-01-27 17:57:54 UTC
need a scroll bar in the config param window

Comment 2 Maros Zatko 2012-02-01 17:51:12 UTC
fixed in axiom/1.0-staging

commit 777517df914d982e13786071acebb11cbaca277b
Author: Maros Zatko <mzatko@redhat.com>
Date:   Tue Jan 31 21:12:41 2012 +0100

    BZ 785231: deployments: css for reworked launch time params form
    
    https://bugzilla.redhat.com/show_bug.cgi?id=785231
    
    This allows you to fill in launch time parameters
    when there are more than five parameters in service.

commit b2e101eebeff2ae051a4eb0b0ad6563930174f96
Author: Maros Zatko <mzatko@redhat.com>
Date:   Tue Jan 31 21:06:19 2012 +0100

    BZ 785231: deployments: reworked launch time params form
    
    https://bugzilla.redhat.com/show_bug.cgi?id=785231
    
    This allows you to fill in launch time parameters
    when there are more than five parameters in a service.

Comment 3 Steve Linabery 2012-02-02 18:10:59 UTC
777517d  b2e101e in aeolus-conductor-0.8.0-19

Comment 4 dgao 2012-02-27 21:23:10 UTC
Created attachment 566147 [details]
more_than_5_params

Comment 5 dgao 2012-02-27 21:23:34 UTC
[root@dell-t7400-01 ~]# rpm -qa | grep "conductor"
aeolus-conductor-0.8.0-37.el6.noarch
aeolus-conductor-daemons-0.8.0-37.el6.noarch
aeolus-conductor-doc-0.8.0-37.el6.noarch

Verified...


Note You need to log in before you can comment on or make changes to this bug.